# $Revision: 1.30 $, $Date: 2011/03/18 17:14:14 $
#
# Conditional build:
%bcond_with	tests	# perform "make test" (requires running pcscd)
#
%include	/usr/lib/rpm/macros.perl
%define	pdir	Chipcard
%define	pnam	PCSC
Summary:	Perl interface to the PC/SC smart card library
Summary(pl.UTF-8):	Interfejs perlowy do biblioteki PC/SC
Name:		perl-PCSC
Version:	1.4.12
Release:	1
License:	GPL v2+
Group:		Development/Languages/Perl
Source0:	http://ludovic.rousseau.free.fr/softwares/pcsc-perl/pcsc-perl-%{version}.tar.bz2
# Source0-md5:	f34c5ab748815bf0b2e571362b4f8121
URL:		http://ludovic.rousseau.free.fr/softwares/pcsc-perl/
BuildRequires:	pcsc-lite-devel >= 1.6.0
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	pkgconfig
BuildRequires:	rpm-perlprov
# it's dlopened, so not autodetected
Requires:	pcsc-lite-libs >= 1.6.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The PCSC module implements the PCSC class, Perl interface to the PC/SC
smart card library. Objects of this class are used to communicate with
the PCSC-lite daemon (pcscd(1)). PC/SC represents an abstraction layer
to smartcard readers. It provides a communication layer with a wide
variety of smart card readers through a standardized API.

%description -l pl.UTF-8
Moduł PCSC zawiera implementację klasy PCSC, perlowego interfejsu do
biblioteki PC/SC obsługującej czytniki kart Smart. Obiekty tej klasy
służą do komunikacji z demonem PCSC (pcscd(1)). Biblioteka PC/SC
stanowi abstrakcyjną warstwę dla czytników kart Smart. Udostępnia ona,
za pośrednictwem zestandaryzowanego API, warstwę komunikacyjną dla
wielu różnych czytników kart Smart.

%prep
%setup -q -n pcsc-perl-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor

%{__make} \
	CC="%{__cc}" \
	DEFINE="-Wall" \
	OPTIMIZE="%{rpmcflags}"

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install examples/* test/* $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}
rm -f $RPM_BUILD_ROOT%{perl_vendorarch}/Chipcard/{PCSC.pod,PCSC/Card.pod}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changelog README
%dir %{perl_vendorarch}/Chipcard
%{perl_vendorarch}/Chipcard/PCSC.pm
%dir %{perl_vendorarch}/Chipcard/PCSC
%{perl_vendorarch}/Chipcard/PCSC/Card.pm
%dir %{perl_vendorarch}/auto/Chipcard
%dir %{perl_vendorarch}/auto/Chipcard/PCSC
%{perl_vendorarch}/auto/Chipcard/PCSC/PCSC.bs
%attr(755,root,root) %{perl_vendorarch}/auto/Chipcard/PCSC/PCSC.so
%{_mandir}/man3/Chipcard::PCSC*.3pm*
%dir %{_examplesdir}/%{name}-%{version}
%attr(755,root,root) %{_examplesdir}/%{name}-%{version}/*.pl
%{_examplesdir}/%{name}-%{version}/gsm.script

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-PCSC.spec,v $
Revision 1.30  2011/03/18 17:14:14  qboosh
- updated to 1.4.12

Revision 1.29  2010/11/13 07:21:32  qboosh
- updated to 1.4.11
- removed obsolete update patch

Revision 1.28  2010/08/08 17:46:57  qboosh
- updated to 1.4.9
- added update patch to compile with current pcsc-lite

Revision 1.27  2010/06/06 08:41:06  arekm
- release 2

Revision 1.26  2010/05/13 18:32:33  sparky
- BR: pkgconfig

Revision 1.25  2010/03/03 09:00:46  amateja
- updated to 1.4.8

Revision 1.24  2008/05/31 15:42:14  qboosh
- updated to 1.4.7

Revision 1.23  2008-02-10 12:17:32  arekm
- rel 2

Revision 1.22  2008-01-10 08:38:40  glen
- add CC to %{__make}
  grep OPTIMIZE= perl-* -l|xargs grep -c CC=|grep :0|cut -d: -f1|xargs sed -i -e '/%{__make} \\$/a\\tCC="%{__cc}" \\'

Revision 1.21  2007-06-14 19:43:55  qboosh
- updated to 1.4.6

Revision 1.20  2007/02/13 07:47:13  glen
- tabs in preamble

Revision 1.19  2007/02/12 00:49:43  baggins
- converted to UTF-8

Revision 1.18  2006/08/18 11:38:33  qboosh
- updated to 1.4.4

Revision 1.17  2006/05/22 09:12:36  qboosh
- updated to 1.4.3

Revision 1.16  2006/05/21 18:27:09  glen
- define pdir/pman for clean files automatics

Revision 1.15  2006/03/06 09:54:43  qboosh
- merged from DEVEL

Revision 1.14.2.1  2004/12/02 13:44:33  qboosh
- updated to 1.4.2

Revision 1.14  2004/08/26 11:41:41  qboosh
- perl deps

Revision 1.13  2004/06/22 13:29:57  qboosh
- fixed dup

Revision 1.12  2004/06/22 13:08:21  qboosh
- updated to 1.3.1

Revision 1.11  2004/04/22 20:32:38  agaran
- tests fail, turned off by default

Revision 1.10  2004/04/22 20:23:18  agaran
- added bconditional test, wip, nfy

Revision 1.9  2004/04/15 09:42:34  ankry
- fixed bogus commit

Revision 1.8  2004/04/15 08:36:00  ankry
- cosmetics

Revision 1.7  2004/04/15 08:15:29  ankry
- cosmetics

Revision 1.6  2003/08/18 08:09:06  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.5  2003/05/28 13:00:56  malekith
- massive attack: source-md5

Revision 1.4  2003/05/25 06:24:52  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.3  2003/03/15 00:46:40  ankry
- BR: pcsc-lite-devel, rel. 3

Revision 1.2  2003/03/01 20:22:18  radek
- should be ready for perl-5.8.0; release++

Revision 1.1  2003/02/27 13:53:42  qboosh
- separated from pcsc-lite.spec
